#include "common.h"
#include "io.h"
#include "sdcard.h"
#include "console.h"

/*
 * Do a clean shutdown and reboot
 */
no_return shutdown(unsigned int type)
{
    /* Flush disk cache */
    disk_ioctl(0, CTRL_SYNC, NULL);

    con_puts("Rebooting...\n");
    con_flush_unconditional();
    reset(SYS_RESET_SOFT);
}
